---
title: "Rclone downloads"
description: "Download rclone binaries for your OS."
type: page
date: "2017-07-22"
---

Rclone Download {{< version >}}
=====================

  * Windows
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-windows-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-windows-amd64.zip)
  * OSX
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-osx-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-osx-amd64.zip)
  * Linux
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-linux-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-linux-amd64.zip)
    * [ARM - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-linux-arm.zip)
    * [ARM - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-linux-arm64.zip)
    * [MIPS - Big Endian](https://downloads.rclone.org/rclone-{{< version >}}-linux-mips.zip)
    * [MIPS - Little Endian](https://downloads.rclone.org/rclone-{{< version >}}-linux-mipsle.zip)
  * FreeBSD
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-freebsd-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-freebsd-amd64.zip)
    * [ARM - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-freebsd-arm.zip)
  * NetBSD
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-netbsd-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-netbsd-amd64.zip)
    * [ARM - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-netbsd-arm.zip)
  * OpenBSD
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-openbsd-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-openbsd-amd64.zip)
  * Plan 9
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-{{< version >}}-plan9-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-plan9-amd64.zip)
  * Solaris
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-{{< version >}}-solaris-amd64.zip)

You can also find a [mirror of the downloads on github](https://github.com/ncw/rclone/releases/tag/{{< version >}}).

Beta releases
=============

[Beta releases](https://beta.rclone.org) are generated from each commit
to master.  Note these are named like

    {Version Tag}-{Commit Number}-g{Git Commit Hash}

You can match the `Git Commit Hash` up with the [git
log](https://github.com/ncw/rclone/commits/master).  The most recent
release will have the largest `Version Tag` and `Commit Number` and
will normally be at the end of the list.

The beta releases haven't been through the full integration test suite
like the releases.  However it is useful to try the latest beta before
reporting an issue.

Downloads for scripting
=======================

If you would like to download the current version (maybe from a
script) from a URL which doesn't change then you can use these links.

  * Windows
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-current-windows-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-current-windows-amd64.zip)
  * OSX
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-current-osx-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-current-osx-amd64.zip)
  * Linux
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-current-linux-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-current-linux-amd64.zip)
    * [ARM - 32 Bit](https://downloads.rclone.org/rclone-current-linux-arm.zip)
  * FreeBSD
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-current-freebsd-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-current-freebsd-amd64.zip)
    * [ARM - 32 Bit](https://downloads.rclone.org/rclone-current-freebsd-arm.zip)
  * NetBSD
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-current-netbsd-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-current-netbsd-amd64.zip)
    * [ARM - 32 Bit](https://downloads.rclone.org/rclone-current-netbsd-arm.zip)
  * OpenBSD
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-current-openbsd-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-current-openbsd-amd64.zip)
  * Plan 9
    * [386 - 32 Bit](https://downloads.rclone.org/rclone-current-plan9-386.zip)
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-current-plan9-amd64.zip)
  * Solaris
    * [AMD64 - 64 Bit](https://downloads.rclone.org/rclone-current-solaris-amd64.zip)

Older Downloads
==============

Older downloads can be found [here](https://downloads.rclone.org/)
